Bug 137540 - USB key not recognized after Unmount and reinsert
USB key not recognized after Unmount and reinsert
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-29 08:53 EDT by Andrew
Modified: 2015-01-04 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:10:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew 2004-10-29 08:53:49 EDT
Description of problem:
Cannot access the USB 256MB key/drive after unmounting the first time.

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.643

How reproducible:
Every time

Steps to Reproduce:
1.  Insert key into USB port, "256MB Removable Drive" appears on Desktop
2.  Right-click and Unmount the key
3.  Reinsert the key in any USB port
  
Actual results:
Nothing happens.

Expected results:
"256MB Removable Drive" should appear on the Desktop

Additional info:
Attempting to manually mount the drive produces "special device
/dev/sda1 does not exist".  Reloading the usb_storage and ehci_hcd
modules does not help either.
Comment 1 Sitsofe Wheeler 2004-12-02 14:10:57 EST
I've seen this too with kernel-2.6.9-1.681_FC3. It doesn't necessarily happen
straight away either - sometimes I've been able to unplug and replug a usb key
about twice before this kicks in.

The bad news is that this seems hose messagebus, which consequently hoses
nautilus  when another user logs in. From here the chain of hosing tends to get
worse dragging performance into a pit.
Comment 2 Dave Jones 2005-07-15 13:43:02 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 20:10:23 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.